Skip to main content
POST
/
knowledge
cURL
curl -X POST https://api.opper.ai/v2/knowledge \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ${OPPER_API_KEY}" \
  -d '{
    "name": "company_docs",
    "embedding_model": "azure/text-embedding-3-large"
  }'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "embedding_model": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
embedding_model
string
default:azure/text-embedding-3-large

The embedding model to use for the knowledge base

Example:

"azure/text-embedding-3-large"

Response

Successful Response

id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
embedding_model
string
required